<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsEuler Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_euler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsEuler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains Euler Angle data and conversion from Quaternion.  
 <a href="struct_xs_euler.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae15ed594ba64b4f117e26090058a2001"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae15ed594ba64b4f117e26090058a2001"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#ae15ed594ba64b4f117e26090058a2001">XsEuler</a> ()</td></tr>
<tr class="memdesc:ae15ed594ba64b4f117e26090058a2001"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that creates an Euler object with all angles 0. <br /></td></tr>
<tr class="separator:ae15ed594ba64b4f117e26090058a2001"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c16bc593558cc8ed10e361b437dde7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c16bc593558cc8ed10e361b437dde7c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a1c16bc593558cc8ed10e361b437dde7c">XsEuler</a> (XsReal x_, XsReal y_, XsReal z_)</td></tr>
<tr class="memdesc:a1c16bc593558cc8ed10e361b437dde7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that creates an Euler object the specified angles. <br /></td></tr>
<tr class="separator:a1c16bc593558cc8ed10e361b437dde7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fe601fd7a39feb24bc72d876f8f73a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0fe601fd7a39feb24bc72d876f8f73a0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a0fe601fd7a39feb24bc72d876f8f73a0">XsEuler</a> (const <a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;other)</td></tr>
<tr class="memdesc:a0fe601fd7a39feb24bc72d876f8f73a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that creates an Euler object from <em>other</em>. <br /></td></tr>
<tr class="separator:a0fe601fd7a39feb24bc72d876f8f73a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5d92aaeea751a9d538338580b4f680a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5d92aaeea751a9d538338580b4f680a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#aa5d92aaeea751a9d538338580b4f680a">XsEuler</a> (const <a class="el" href="struct_xs_vector.html">XsVector</a> &amp;other)</td></tr>
<tr class="memdesc:aa5d92aaeea751a9d538338580b4f680a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that creates an Euler object from <em>other</em>. <br /></td></tr>
<tr class="separator:aa5d92aaeea751a9d538338580b4f680a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a410753babed0921d0aa8ebfae9c40af1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a410753babed0921d0aa8ebfae9c40af1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a410753babed0921d0aa8ebfae9c40af1">XsEuler</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;q)</td></tr>
<tr class="memdesc:a410753babed0921d0aa8ebfae9c40af1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an euler angle representation of the quaternion. <br /></td></tr>
<tr class="separator:a410753babed0921d0aa8ebfae9c40af1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfd7ce444661e0609b23a6c001832113"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfd7ce444661e0609b23a6c001832113"></a>
<a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#abfd7ce444661e0609b23a6c001832113">operator=</a> (const <a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;other)</td></tr>
<tr class="memdesc:abfd7ce444661e0609b23a6c001832113"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assigns the <em>other</em> <a class="el" href="struct_xs_euler.html" title="Contains Euler Angle data and conversion from Quaternion. ">XsEuler</a> object to this one. <br /></td></tr>
<tr class="separator:abfd7ce444661e0609b23a6c001832113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacfa2c5cdbdcf559e37de978024d5dbb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aacfa2c5cdbdcf559e37de978024d5dbb"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#aacfa2c5cdbdcf559e37de978024d5dbb">operator[]</a> (XsSize index) const </td></tr>
<tr class="memdesc:aacfa2c5cdbdcf559e37de978024d5dbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the <em>index'th</em> euler angle in the object. <br /></td></tr>
<tr class="separator:aacfa2c5cdbdcf559e37de978024d5dbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8908aef3912610336f8ec651324872a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8908aef3912610336f8ec651324872a5"></a>
XsReal &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a8908aef3912610336f8ec651324872a5">operator[]</a> (XsSize index)</td></tr>
<tr class="memdesc:a8908aef3912610336f8ec651324872a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a reference to the <em>index'th</em> euler angle in the object. <br /></td></tr>
<tr class="separator:a8908aef3912610336f8ec651324872a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a947331d4f30c994901984074254110e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a947331d4f30c994901984074254110e8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a947331d4f30c994901984074254110e8">empty</a> () const </td></tr>
<tr class="memdesc:a947331d4f30c994901984074254110e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if all angles in this object are zero. <br /></td></tr>
<tr class="separator:a947331d4f30c994901984074254110e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac121de6632020cecd563d5b35a423392"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac121de6632020cecd563d5b35a423392"></a>
const XsReal *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#ac121de6632020cecd563d5b35a423392">data</a> () const </td></tr>
<tr class="memdesc:ac121de6632020cecd563d5b35a423392"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a const pointer to the internal data. <br /></td></tr>
<tr class="separator:ac121de6632020cecd563d5b35a423392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab519d15e93ab1c5887bbbb1cb7457720"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab519d15e93ab1c5887bbbb1cb7457720"></a>
<a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#ab519d15e93ab1c5887bbbb1cb7457720">fromQuaternion</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;quat)</td></tr>
<tr class="memdesc:ab519d15e93ab1c5887bbbb1cb7457720"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an euler angle representation of the quaternion. <br /></td></tr>
<tr class="separator:ab519d15e93ab1c5887bbbb1cb7457720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee93e1d6a11a8517a389a21e39d32c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaee93e1d6a11a8517a389a21e39d32c4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#aaee93e1d6a11a8517a389a21e39d32c4">operator==</a> (const <a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;other) const </td></tr>
<tr class="memdesc:aaee93e1d6a11a8517a389a21e39d32c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the values in <em>other</em> are exactly equal to this. <br /></td></tr>
<tr class="separator:aaee93e1d6a11a8517a389a21e39d32c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae660eca839f702799130d20f85b894de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae660eca839f702799130d20f85b894de"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#ae660eca839f702799130d20f85b894de">operator!=</a> (const <a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;other) const </td></tr>
<tr class="memdesc:ae660eca839f702799130d20f85b894de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the values in <em>other</em> are different from this. <br /></td></tr>
<tr class="separator:ae660eca839f702799130d20f85b894de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322ebc6cc7eb83afe051898a68535bb3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a322ebc6cc7eb83afe051898a68535bb3"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a322ebc6cc7eb83afe051898a68535bb3">roll</a> () const </td></tr>
<tr class="memdesc:a322ebc6cc7eb83afe051898a68535bb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the roll or x value. <br /></td></tr>
<tr class="separator:a322ebc6cc7eb83afe051898a68535bb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a297ba5a843e53e34ef92df323e009b4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a297ba5a843e53e34ef92df323e009b4f"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a297ba5a843e53e34ef92df323e009b4f">pitch</a> () const </td></tr>
<tr class="memdesc:a297ba5a843e53e34ef92df323e009b4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pitch or y value. <br /></td></tr>
<tr class="separator:a297ba5a843e53e34ef92df323e009b4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2420b61af84c6fc7172eec51d50e386d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2420b61af84c6fc7172eec51d50e386d"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a2420b61af84c6fc7172eec51d50e386d">yaw</a> () const </td></tr>
<tr class="memdesc:a2420b61af84c6fc7172eec51d50e386d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the yaw or z value. <br /></td></tr>
<tr class="separator:a2420b61af84c6fc7172eec51d50e386d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a795ccfeb7dbcc6c205fe9f2995e7939e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a795ccfeb7dbcc6c205fe9f2995e7939e"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a795ccfeb7dbcc6c205fe9f2995e7939e">x</a> () const </td></tr>
<tr class="memdesc:a795ccfeb7dbcc6c205fe9f2995e7939e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the x or roll value. <br /></td></tr>
<tr class="separator:a795ccfeb7dbcc6c205fe9f2995e7939e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8af0e59459585de06485111d23c78eb9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8af0e59459585de06485111d23c78eb9"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a8af0e59459585de06485111d23c78eb9">y</a> () const </td></tr>
<tr class="memdesc:a8af0e59459585de06485111d23c78eb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the y or pitch value. <br /></td></tr>
<tr class="separator:a8af0e59459585de06485111d23c78eb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24ade7851ad538f12e7605d01e3fb9db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24ade7851ad538f12e7605d01e3fb9db"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#a24ade7851ad538f12e7605d01e3fb9db">z</a> () const </td></tr>
<tr class="memdesc:a24ade7851ad538f12e7605d01e3fb9db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the z or yaw value. <br /></td></tr>
<tr class="separator:a24ade7851ad538f12e7605d01e3fb9db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5b8414e7a4b07dde2f56db18958f6b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5b8414e7a4b07dde2f56db18958f6b9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_euler.html#af5b8414e7a4b07dde2f56db18958f6b9">compare</a> (const <a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;other, XsReal tolerance) const </td></tr>
<tr class="memdesc:af5b8414e7a4b07dde2f56db18958f6b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the values of this and <em>other</em> are within <em>tolerance</em> of each other. <br /></td></tr>
<tr class="separator:af5b8414e7a4b07dde2f56db18958f6b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:ga8c2c532c3468ad0e5bf869888cb169e8"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga8c2c532c3468ad0e5bf869888cb169e8">XsEuler_destruct</a> (<a class="el" href="struct_xs_euler.html">XsEuler</a> *)</td></tr>
<tr class="memdesc:ga8c2c532c3468ad0e5bf869888cb169e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears all angles in the <a class="el" href="struct_xs_euler.html" title="Contains Euler Angle data and conversion from Quaternion. ">XsEuler</a> object by setting them to 0. <br /></td></tr>
<tr class="separator:ga8c2c532c3468ad0e5bf869888cb169e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2386ad4f8114a365b6cd43274e7dfefd"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga2386ad4f8114a365b6cd43274e7dfefd">XsEuler_empty</a> (const <a class="el" href="struct_xs_euler.html">XsEuler</a> *)</td></tr>
<tr class="memdesc:ga2386ad4f8114a365b6cd43274e7dfefd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if all angles in this object are zero. <br /></td></tr>
<tr class="separator:ga2386ad4f8114a365b6cd43274e7dfefd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5a0f25e115a3798583d767c869600c0"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaa5a0f25e115a3798583d767c869600c0">XsEuler_fromQuaternion</a> (<a class="el" href="struct_xs_euler.html">XsEuler</a> *, const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *quat)</td></tr>
<tr class="memdesc:gaa5a0f25e115a3798583d767c869600c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an euler angle representation of the quaternion. <br /></td></tr>
<tr class="separator:gaa5a0f25e115a3798583d767c869600c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains Euler Angle data and conversion from Quaternion. </p>
<p>Euler Angles are computed as a rotation around the x-axis, followed by a rotation around the y-axis, followed by a rotation around the z-axis. In aerospace terms, x,y and z are also often referred to as roll pitch and yaw, so those names are also available as a convenience. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
